#define SUPPORT_SMDK2440
inline void IO_InitSMDK2440(void)
{
	gotype_current.id             = GOTYPE_SMDK2440;
	gotype_current.name           = "SMDK2440 Development Board";
	gotype_current.shortname      = "SMDK2440";
	gotype_current.familyname     = "SMDK2440";
	gotype_current.cputype        = GOCPU_S3C2440;
	gotype_current.sdcard         = 1;
	gotype_current.tfttype        = GOTFT_SAMSUNG_LTP400;
	gotype_current.tsxchannel     = 7;
	gotype_current.tsychannel     = 5;
	gotype_current.memsize        = 64;
	gotype_current.usbslavetype   = GOUSB_S3C24XX;
	gotype_current.usbproductid   = 0x0001;

	gotype_current.pins.SD_PWR_ON       = PIN_GPG8 | PIN_INVERTED;
	gotype_current.pins.CD_SD           = PIN_GPG10 | PIN_INVERTED;
	gotype_current.pins.SDCLK           = PIN_GPE5;
	gotype_current.pins.SDCMD           = PIN_GPE6;
	gotype_current.pins.SDDATA0         = PIN_GPE7;
	gotype_current.pins.SDDATA1         = PIN_GPE8;
	gotype_current.pins.SDDATA2         = PIN_GPE9;
	gotype_current.pins.SDDATA3         = PIN_GPE10;
	gotype_current.pins.CTS_DOCK        = PIN_GPH0;
	gotype_current.pins.RTS_DOCK        = PIN_GPH1;
	gotype_current.pins.TXD_DOCK        = PIN_GPH2;
	gotype_current.pins.RXD_DOCK        = PIN_GPH3;
	gotype_current.pins.VD0             = PIN_GPC8;
	gotype_current.pins.VD1             = PIN_GPC9;
	gotype_current.pins.VD2             = PIN_GPC10;
	gotype_current.pins.VD3             = PIN_GPC11;
	gotype_current.pins.VD4             = PIN_GPC12;
	gotype_current.pins.VD5             = PIN_GPC13;
	gotype_current.pins.VD6             = PIN_GPC14;
	gotype_current.pins.VD7             = PIN_GPC15;
	gotype_current.pins.VD8             = PIN_GPD0;
	gotype_current.pins.VD9             = PIN_GPD1;
	gotype_current.pins.VD10            = PIN_GPD2;
	gotype_current.pins.VD11            = PIN_GPD3;
	gotype_current.pins.VD12            = PIN_GPD4;
	gotype_current.pins.VD13            = PIN_GPD5;
	gotype_current.pins.VD14            = PIN_GPD6;
	gotype_current.pins.VD15            = PIN_GPD7;
	gotype_current.pins.VD16            = PIN_GPD8;
	gotype_current.pins.VD17            = PIN_GPD9;
	gotype_current.pins.VD18            = PIN_GPD10;
	gotype_current.pins.VD19            = PIN_GPD11;
	gotype_current.pins.VD20            = PIN_GPD12;
	gotype_current.pins.VD21            = PIN_GPD13;
	gotype_current.pins.VD22            = PIN_GPD14;
	gotype_current.pins.VD23            = PIN_GPD15;
	gotype_current.pins.VDEN            = PIN_GPC4;
	gotype_current.pins.VCLK            = PIN_GPC1;
	gotype_current.pins.VSYNC           = PIN_GPC3;
	gotype_current.pins.HSYNC           = PIN_GPC2;
	gotype_current.pins.LCD_VCC_PWREN   = PIN_GPG4;
}
