/* include/asm-arm/arch-s3c2410/tomtomgo-wake.h
 *
 * Declarations of TomTom GO wakeup check functions.
 *
 * Copyright (C) 2005 TomTom BV <http://www.tomtom.com/>
 * Author: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __ASM_ARCH_TOMTOMGO_WAKE_H
#define __ASM_ARCH_TOMTOMGO_WAKE_H

void tomtomgo_before_sleep(int simulateWake,int linuxSuspend);
int tomtomgo_decide_wakeup(void);

void tomtom_hddtemp_setaddress(unsigned long address);
int tomtom_hddtemp_check(void);

#endif /* __ASM_ARCH_TOMTOMGO_WAKE_H */

/* EOF */
